Subject: bug#44980: [PATCH] Fix test for failed uses of lexical vars in byte-compiler

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Dec 2020 06:38:01 -0600

tags 44980 fixed
close 44980
thanks

Stefan Monnier <[email-masked]> writes:

>> However, the test uses `assq' to check `byte-compile-lexical-variables',
>> but that is not an alist.  It seems to me that the correct test would
>> use `memq'.
>>
>> Please see the attached patch that fixes this.  It also adds tests.
>>
>> WDYT?  Am I missing something?
>
> I have a strong feeling of déjà vu, so I think you're not missing
> anything and it's just an old bug which I thought I had fixed.

OK, thanks.  Pushed to master as commit ace6eba036, and closing.